import { SizeType } from 'ant-design-vue/es/config-provider';
import type { ExtractPropTypes } from 'vue';
import type CustomSearcher from './custom-searcher.vue';
export interface customSearcherFieldItem {
    key: string;
    title: string;
    type: string;
    conditionType?: string;
    props: {
        [key: string]: any;
    };
    [key: string]: any;
}
export declare const customSearcherProps: {
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<customSearcherFieldItem[]>, unknown, unknown, () => any[], boolean>;
    readonly operatorSelectable: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxSearchCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly useBadge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly activeState: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly placement: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly searchIcon: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly addSearchText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly saveSchemeText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number | SizeType>, unknown, unknown, "large", boolean>;
    readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly localKey: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "34", boolean>;
};
export type CustomSearcherProps = ExtractPropTypes<typeof customSearcherProps>;
export type CustomSearcherInstance = InstanceType<typeof CustomSearcher>;
